pushd server ; bzr pull ; popd
pushd web ; bzr pull ; popd

rm -rf _result developers.tar.gz users.tar.gz
mkdir _result

# Create global developers tree
pushd developers ; python generate.py --server ../server --web ../web --output ../_result/developers ; popd

# Override globally-generated server and wevb directories
rm -rf  _result/developers/server _result/developers/web
pushd server/doc ; make clean ; make dirhtml ; cp -r _build/dirhtml/ ../../_result/developers/server ; popd
pushd web/doc ; make clean ; make dirhtml ; rm -rf ../../_web_html ; cp -r _build/dirhtml/ ../../_result/developers/web ; popd

# Create global users tree
pushd users ; make clean ; make dirhtml ; cp -r _build/dirhtml ../_result/users ; popd

pushd _result ; tar czf developers.tar.gz developers ; popd ; mv _result/developers.tar.gz .
pushd _result ; tar czf users.tar.gz users ; popd ; mv _result/users.tar.gz .

cp developers.tar.gz /home/odoo/thu/www/developers-trunk.tar.gz
cp users.tar.gz /home/odoo/thu/www/users-trunk.tar.gz
